%define	name	libkdcraw
%define	version	0.1.4
## Distribution Specific Release Tag
%define release %mkrel 2
%define	Summary	KDE library based on dcraw for working with various camera's RAW image formats

%define realname kdcraw

%define	major	3
%define	libname	%mklibname %{realname} %major
%define	libnamedev %mklibname %{realname} -d

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		System/Libraries
Source0:        http://prdownloads.sourceforge.net/kipi/libkdcraw-%{version}.tar.bz2

URL: 		http://www.kipi-plugins.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-common
BuildRequires:	qt3-devel
BuildRequires:	kdebase-devel
BuildRequires:  lcms-devel
Provides:	%{name} = %{version}-%{release}

%description
KDE library based on dcraw for working with various camera's RAW image formats

%package -n     %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries
#Obsoletes:	%mklibname %{realname} 1
Obsoletes:	%mklibname %{realname} 0
Requires:       %{name}-common

%description -n %{libname}
%{libname} contains %{name} libraries

%package common
Summary:        Non-library files for the "%{libname}" library
Group:          System/Libraries
Conflicts:      %{name} <= 0.1.2
Obsoletes:      %{name}
 

%description common
Common files for the "%{libname}" library

%package -n	%{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:	%{libname} = %version-%release
Obsoletes:      %mklibname %{realname} 2 -d
Obsoletes:      %mklibname %{realname} 1 -d
Obsoletes:	%mklibname %{realname} 0 -d

%description -n %{libnamedev}
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.

%prep
%setup -q

%build
make -f Makefile.cvs
%configure2_5x
%make

%install
rm -rf %buildroot
#anaselli: workaround to install kdcraw following soname
#Makefile.am changes bindir inside :(
%makeinstall_std

%find_lang %name

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %buildroot

%files common -f %{name}.lang
%defattr(0644, root, root, 0755)
%{_datadir}/icons/hicolor/*/apps/%{realname}.png

%files -n %libname
%defattr(0644, root, root, 0755)
%attr(0755, root, root)  %{_libdir}/%{name}%{major}/%{realname}
%attr(0644, root, root)  %{_libdir}/%{name}%{major}/CAMERALIST
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%defattr(0644, root, root, 0755)
%{_libdir}/pkgconfig/libkdcraw.pc
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*


%changelog
* Mon Mar 10 2008 Angelo Naselli <anaselli@mandriva.org> 0.1.4-2mdv2008.1
+ Revision: 183881
- tarball from kipi team: supporting more cameras

* Sat Mar 01 2008 Angelo Naselli <anaselli@mandriva.org> 0.1.4-1mdv2008.1
+ Revision: 177002
- New version 0.1.4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jan 02 2008 Angelo Naselli <anaselli@mandriva.org> 0.1.3-2mdv2008.1
+ Revision: 140684
- added an obsolete tag to libkdcraw-common

* Thu Dec 27 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.3-1mdv2008.1
+ Revision: 138187
- New version 0.1.3
  Added icons again (they seem to be needed by digikam)
  Added a common package that contains files that can conflict between versions with different major

* Wed Dec 26 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.2-3mdv2008.1
+ Revision: 138122
- Rebuilt

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 23 2007 Funda Wang <fundawang@mandriva.org> 0.1.2-2mdv2008.1
+ Revision: 101424
- obsoletes old lib to easy upgrade

* Wed Oct 10 2007 Funda Wang <fundawang@mandriva.org> 0.1.2-1mdv2008.1
+ Revision: 96888
- don't obsoletes old libs
- add back translation files
- New major
- New version 0.1.2

* Sat Jul 21 2007 Funda Wang <fundawang@mandriva.org> 0.1.1-7mdv2008.0
+ Revision: 54135
- Obsoletes old major

* Mon Jul 09 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-6mdv2008.0
+ Revision: 50761
- Obsoletes libkdcraw

* Mon Jul 09 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-5mdv2008.0
+ Revision: 50485
- Updated for new library policy (developer packages)

* Mon Jun 18 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-4mdv2008.0
+ Revision: 40631
- removed a wrong requirenment i forgot to commit

* Sun Jun 17 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-3mdv2008.0
+ Revision: 40554
- removed useless icons

* Fri Jun 15 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-2mdv2008.0
+ Revision: 40212
- removed a wrongly commented macro

* Fri Jun 15 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-1mdv2008.0
+ Revision: 39947
- New version 0.1.1

* Thu Jun 07 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.0-2mdv2008.0
+ Revision: 36646
- Moved la files to the right devel subpackage.

* Mon May 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 23834
- Import libkdcraw

